diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 461328d..2a096c0 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -119605,7 +119605,8 @@ ParametricLinearEquations(R,Var,Expon,GR):
       count
 
     dmp2rfi (p:GR):GF ==
-      map$plift ((convert #1)@Symbol::GF, #1::PR::GF, p)
+      map$plift ((v1:Var):GF +-> (convert v1)@Symbol::GF, 
+                 (r1:R):GF +-> r1::PR::GF, p)
 
 
     rdregime inname ==
@@ -119652,7 +119653,7 @@ ParametricLinearEquations(R,Var,Expon,GR):
             neweqn:Rec:=construct(detmat,rss,nss)
             DetEqn:=cons(neweqn, DetEqn)
       found => [first DetEqn]$Eqns
-      sort(degree #1.det < degree #2.det, DetEqn)
+      sort((z1:Rec,z2:Rec):Boolean +-> degree z1.det < degree z2.det, DetEqn)
 
 
 
diff --git a/changelog b/changelog
index 802ff7c..1e9b8dc 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090609 tpd src/axiom-website/patches.html 20090609.06.tpd.patch
+20090609 tpd books/bookvol10.4 PLEQN +-> conversion
 20090609 tpd src/axiom-website/patches.html 20090609.05.tpd.patch
 20090609 tpd books/bookvol10.4 PWFFINTB +-> conversion
 20090609 tpd src/axiom-website/patches.html 20090609.04.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 7fdca6a..21551ad 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1523,5 +1523,7 @@ bookvol10.4 ODEINT +-> conversion<br/>
 bookvol10.4 ODETOOLS +-> conversion<br/>
 <a href="patches/20090609.05.tpd.patch">20090609.05.tpd.patch</a>
 bookvol10.4 PWFFINTB +-> conversion<br/>
+<a href="patches/20090609.06.tpd.patch">20090609.06.tpd.patch</a>
+bookvol10.4 PLEQN +-> conversion<br/>
  </body>
 </html>
